## Changelog

### v0.3.0
 - (Assets) T-Posing no more! The following animations have been added
     - Jumping
	 - Spinning in a ball
	 - Grand Slam's final kick
	 - Ascending/Descending
	 - Dying
	 - Idle animation for not moving for a while
 - (Assets) The boost meter has been redone with these new features
     - No longer breaks from changes in screen resolution
	 - Now has custom visuals to show changes in the boost cap
 - (Assets) Added some vfx to Sonic to indicate power boosting
 - (Assets) Skill descriptions changed slightly

 - (+) Flat cooldown reduction (Purity) now increases the boost cap much more (10 -> 25)
 - (=) Boost speed and power boost speed have been adjusted to make the difference more noticeable (40/60 -> 35/65)
 - (-) The auto-targeting of the final hit of Grand Slam can no longer track upwards

 - (Bug Fix) Fixed boost sometimes not switching between normal and power boost speeds
 - (Bug Fix) Fixed permanent invincibility involving Grand Slam and Volcanic Egg

### Known Issues
 - Picking up a Malachite Aspect will break every bone in Sonic's body and put him 6 feet under (Wake of Vultures is okay)
 - Not multiplayer compatible
 
#### v0.2.0
 - (Assets) Redone textures
 - (Assets) Made visuals for the Sonic Boom projectile
 - (Assets) Small tweaks to some vfx
 - (Assets) Added skill icons
 
 - (+) Melee hitboxes are now slightly larger
 - (+) The final hit of Grand Slam now does more knockback
 - (=) Sonic Boom and the start-up of Grand Slam now slow to a stop instead of stopping immediately
 - (=) Sonic Boom projectile is now smaller to make it collide with the floor less
 - (-) The repeated attacks of Grand Slam can no longer kill
 
 - (Bug Fix) Missing the final kick of Grand Slam will now set your velocity to 0, preventing fall damage
 - (Bug Fix) Fixed a lot of weird animation transitions
 - (Bug Fix) Picking up an item that gives additional utility skill stocks (Hardlight Afterburner) while grounded will now immediately restore all utility stocks
 - (Bug Fix) Sonic is no longer extra small in the character select screen (He's not THAT short)
 
#### v0.1.0
 - Initial Release